Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws.atomikos
Class ExportingTransactionHandler

    java.lang.Object
      com.atomikos.icatch.jaxws.GenericExportingTransactionHandler
          com.atomikos.icatch.jaxws.atomikos.ExportingTransactionHandler

All Implemented Interfaces:
  javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

    public class ExportingTransactionHandler

extends GenericExportingTransactionHandler

Copyright © 2005, Atomikos. All rights reserved. A Message Handler for a web service client.

Add this handler to a SOAP client's handler chain if you want the client's transaction to be propagated along with the SOAP call. The propagation headers added by this handler will be in Atomikos format, with mustUnderstand set to true. IMPORTANT NOTE: this handler only works on platforms where the message handlers are executed in the SAME thread as the service itself.

Constructor Summary
`ExportingTransactionHandler()`

Method Summary
`protected SOAPExportingTransactionManager` | `getExportingTransactionManager()`
`Set<QName>` | `getHeaders()`

Methods inherited from class com.atomikos.icatch.jaxws.GenericExportingTransactionHandler
`close, getCompositeTransaction, handleFault, handleMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportingTransactionHandler

    public ExportingTransactionHandler()

Method Detail

### getHeaders

    public Set<QName> getHeaders()

  See Also:
    `rpc.handler.Handler`

### getExportingTransactionManager

    protected SOAPExportingTransactionManager getExportingTransactionManager()

  Specified by:
    `getExportingTransactionManager` in class `GenericExportingTransactionHandler`
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericExportingTransactionHandler#getExportingTransactionManager()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.